# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLLinkElement Class Reference

The `LINK` element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa). More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLLinkElement:

[legend]
Collaboration diagram for DOM::HTMLLinkElement:

[legend]
List of all members.

## Public Member Functions

| HTMLLinkElement (const HTMLLinkElement &other)
| HTMLLinkElement (const Node &other)
HTMLLinkElement & | operator= (const HTMLLinkElement &other)
HTMLLinkElement & | operator= (const Node &other)
bool | disabled () const
void | setDisabled (bool)
DOMString | charset () const
void | setCharset (const DOMString &)
DOMString | href () const
void | setHref (const DOMString &)
DOMString | hreflang () const
void | setHreflang (const DOMString &)
DOMString | media () const
void | setMedia (const DOMString &)
DOMString | rel () const
void | setRel (const DOMString &)
DOMString | rev () const
void | setRev (const DOMString &)
DOMString | target () const
void | setTarget (const DOMString &)
DOMString | type () const
void | setType (const DOMString &)
StyleSheet | sheet () const

## Protected Member Functions

| HTMLLinkElement (HTMLLinkElementImpl *impl)

## Detailed Description

The `LINK` element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa).

See the LINK element definition in HTML 4.0.

Definition at line 101 of file html_head.h.

## Member Function Documentation

bool HTMLLinkElement::disabled | ( |  | ) | const

| Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets. Definition at line 112 of file html_head.cpp. References DOM::DOMString::isNull().

void HTMLLinkElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 118 of file html_head.cpp.

DOMString HTMLLinkElement::charset | ( |  | ) | const

| The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.0. Definition at line 124 of file html_head.cpp.

void HTMLLinkElement::setCharset | ( | const DOMString & |  | ) |

| see charset Definition at line 130 of file html_head.cpp.

DOMString HTMLLinkElement::href | ( |  | ) | const

| The URI of the linked resource. See the href attribute definition in HTML 4.0. Definition at line 135 of file html_head.cpp. References href(), DOM::DOMString::isNull(), and DOM::DOMString::string(). Referenced by href().

void HTMLLinkElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 142 of file html_head.cpp.

DOMString HTMLLinkElement::hreflang | ( |  | ) | const

| Language code of the linked resource. See the hreflang attribute definition in HTML 4.0. Definition at line 147 of file html_head.cpp.

void HTMLLinkElement::setHreflang | ( | const DOMString & |  | ) |

| see hreflang Definition at line 153 of file html_head.cpp.

DOMString HTMLLinkElement::media | ( |  | ) | const

| Designed for use with one or more target media. See the media attribute definition in HTML 4.0. Definition at line 158 of file html_head.cpp.

void HTMLLinkElement::setMedia | ( | const DOMString & |  | ) |

| see media Definition at line 164 of file html_head.cpp.

DOMString HTMLLinkElement::rel | ( |  | ) | const

| Forward link type. See the rel attribute definition in HTML 4.0. Definition at line 169 of file html_head.cpp.

void HTMLLinkElement::setRel | ( | const DOMString & |  | ) |

| see rel Definition at line 175 of file html_head.cpp.

DOMString HTMLLinkElement::rev | ( |  | ) | const

| Reverse link type. See the rev attribute definition in HTML 4.0. Definition at line 180 of file html_head.cpp.

void HTMLLinkElement::setRev | ( | const DOMString & |  | ) |

| see rev Definition at line 186 of file html_head.cpp.

DOMString HTMLLinkElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 191 of file html_head.cpp.

void HTMLLinkElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 197 of file html_head.cpp.

DOMString HTMLLinkElement::type | ( |  | ) | const

| Advisory content type. See the type attribute definition in HTML 4.0. Definition at line 202 of file html_head.cpp.

void HTMLLinkElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 208 of file html_head.cpp.

StyleSheet HTMLLinkElement::sheet | ( |  | ) | const

| Introduced in DOM Level 2 This method is from the LinkStyle interface. The style sheet. Definition at line 213 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003